<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="7"
      :sm="24"
    >
      <enterprise-tree 
      @getParentEnterprise="getParentEnterprise" 
      ref="left" 
      :version="version"
      @clearSelectList ="clearSelectList" 
      @reloadUi="reloadUi"
      @getAddStatus="getAddStatus"
      :versionStatus="versionStatus"
      
      />
    </a-col>
    <a-col
      :md="24-7"
      :sm="24"
    >
      <enterprise-list 
      ref="right" 
      @reloadUi="reloadUi" 
      :parentId="parentId"
      @changeVersion="changeVersion"
      :addUsable="addUsable"
      @changeVersionStatus="changeVersionStatus"
      />
    </a-col>
  </a-row>
</template>

<script>
import EnterpriseList from './modules/enterprise/EnterpriseList';
import EnterpriseTree from './modules/enterprise/EnterpriseTree';
export default {
  name: 'FactoryManager',
  components: {
    EnterpriseTree,
    EnterpriseList
  },
  data() {
    return {
      description: '工厂/车间/产线建模',
      parentId:'',
      version:0,
      versionStatus:'',
      addUsable:true,
    }
  },
  methods:{
    getParentEnterprise(parentId){
      this.parentId = parentId;
    },
    clearSelectList(){
      this.$refs.right.clearSelectList();
    },
    reloadUi(){
      this.$refs.left.reloadUi();
    },
    changeVersion(version){
      this.version=version
    },
    getAddStatus(addUsable){
      this.addUsable=addUsable;
    },
    changeVersionStatus(versionStatus){
       this.versionStatus=versionStatus
    }
  },
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>